.react-modal {
  &__modal {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: $color-white-1;
    box-sizing: border-box;
    //margin: 0 auto;
    padding: rem(60) rem(105);
    overflow: auto;
    @include elastic(20, 60, $xs, $xl, 'padding-top');
    @include elastic(30, 105, $xs, $xl, 'padding-right');
    @include elastic(20, 60, $xs, $xl, 'padding-bottom');
    @include elastic(30, 105, $xs, $xl, 'padding-left');
    @include media($md) {
      max-width: rem(670);
      top: 17%;
      bottom: auto;
      left: 50%;
      transform: translate(-50%, 0);
    }
    &--small {
      bottom: auto;
    }
    /*@media only screen and (orientation: portrait) {
      left: 2%;
      right: 2%;
      margin: 0 auto;
      top: 2%;
      transform: none;
      max-width: none;
      bottom: auto;
      //display: inline-block;
      //vertical-align: middle;
    }*/
  }
  &__overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99;
    //overflow: auto;
    background-color: rgba(0, 0, 0, .9);
    overflow: auto;
  }
}

.close-modal {
  position: absolute;
  right: 1rem;
  top: 1rem;
  width: rem(48);
  height: rem(48);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  fill: $color-gray-0;
  transition: all .3s ease;
  overflow: hidden;
  &:hover {
    fill: $color-gray-3;
  }
  @include media($md) {
    left: 100%;
    top: 50%;
    transform: translate(0, -50%);
  }
}

.mfp-close {
  font-size: 44px;
  font-family: $font-secondary;
  transition: all .25s;
}
